#include <iostream>
using namespace std;
main(){
long long broj;
int c,br=0;
cin>>broj;
while(broj>0){
        c=broj%10;
        broj/=10;
    if(c==1||c==2||c==5)br++;
else if(c==3||c==4||c==6||c==7)br+=2;
else if(c==8||c==9)br+=3;
}
cout<<br;
}